//
//  DRAppDelegate.m
//  SideMenuDemo
//
//  Created by Nicolai Persson on 06/02/13.
//  Copyright (c) 2013 Nicolai Persson. All rights reserved.
//

#import "NPAppDelegate.h"
#import "NPRootViewController.h"

#import <NPSideMenu/NPSideMenu.h>

@implementation NPAppDelegate
@synthesize sideMenu, leftMenu, rightMenu;

- (BOOL)application:(UIApplication *)application didFinishLaunchingWithOptions:(NSDictionary *)launchOptions {
    dummyViewController = [[NPRootViewController alloc] init];
    
    UINavigationController *navigationController = [[UINavigationController alloc] initWithRootViewController:dummyViewController];
    
    self.window = [[UIWindow alloc] initWithFrame:[[UIScreen mainScreen] bounds]];
    self.window.backgroundColor = [UIColor whiteColor];
    self.window.rootViewController = navigationController;
    [self.window makeKeyAndVisible];
    
    leftMenu = [[NPSideMenuController alloc] init];
    leftMenu.width = 270.0f;
    
    rightMenu = [[NPSideMenuController alloc] init];
    rightMenu.width = 150.0f;
    
    sideMenu = NPSideMenu.sharedInstance;
    sideMenu.controller = navigationController;
    sideMenu.leftMenu   = leftMenu;
    sideMenu.rightMenu  = rightMenu;
    sideMenu.useNavigationBarOnly = NO;
    
    return YES;
}

@end
