//
//  NPRootViewController.m
//  SideMenuDemo
//
//  Created by Nicolai Persson on 07/02/2013.
//  Copyright (c) 2013 Nicolai Persson. All rights reserved.
//

#import "NPRootViewController.h"
#import <NPSideMenu/NPSideMenu.h>

@implementation NPRootViewController

- (id)init {
    if (self = [super init]) {
        self.title = NSLocalizedString(@"Test", nil);
        self.navigationItem.leftBarButtonItem = [[UIBarButtonItem alloc] initWithTitle:NSLocalizedString(@"Left", nil)
                                                                                                style:UIBarButtonItemStyleBordered
                                                                                               target:self
                                                                                               action:@selector(toggleLeftMenu:)];

        self.navigationItem.rightBarButtonItem = [[UIBarButtonItem alloc] initWithTitle:NSLocalizedString(@"Right", nil)
                                                                                                 style:UIBarButtonItemStyleBordered
                                                                                                target:self
                                                                                                action:@selector(toggleRightMenu:)];
        
        self.view.backgroundColor = [UIColor whiteColor];
        
        dummyLabel = [[UILabel alloc] initWithFrame:CGRectMake(20.0f, 20.0f, 280.0f, 40.0f)];
        dummyLabel.text             = NSLocalizedString(@"Simple demo of the side menus", nil);
        dummyLabel.font             = [UIFont boldSystemFontOfSize:15.0f];
        dummyLabel.textAlignment    = NSTextAlignmentCenter;
        dummyLabel.textColor        = [UIColor redColor];
        dummyLabel.autoresizingMask = UIViewAutoresizingFlexibleWidth | UIViewAutoresizingFlexibleLeftMargin |  UIViewAutoresizingFlexibleRightMargin;
        
        [self.view addSubview:dummyLabel];
    }
    
    return self;
}

- (void)toggleLeftMenu:(id)sender {
    NSLog(@"Left!");
    [NPSideMenu.sharedInstance toggleLeftMenu];
}

- (void)toggleRightMenu:(id)sender {
    NSLog(@"Right!");
    [NPSideMenu.sharedInstance toggleRightMenu];
}

@end
