//
//  NPSideMenuObject.h
//  NPSideMenu
//
//  Created by Nicolai Persson on 06/02/13.
//  Copyright (c) 2013 Nicolai Persson. All rights reserved.
//

#import <UIKit/UIKit.h>

#import "NPSideMenuController.h"

#define kNPSideMenuHideLeft  @"kNPSideMenuHideLeft"
#define kNPSideMenuHideRight @"kNPSideMenuHideRight"

#define kNPSideMenuShowLeft  @"kNPSideMenuShowLeft"
#define kNPSideMenuShowRight @"kNPSideMenuShowRight"

#define UIApplicationSideMenuToggleLeft  @"UIApplicationSideMenuToggleLeft"
#define UIApplicationSideMenuToggleRight @"UIApplicationSideMenuToggleRight"

typedef enum {
    NPSideMenuPositionLeft,
    NPSideMenuPositionRight
} NPSideMenuPosition;

@interface NPSideMenu : NSObject <UIGestureRecognizerDelegate> {
    UIPanGestureRecognizer *panGestureRecognizer;
    UITapGestureRecognizer *tapGestureRecognizer;
    CGPoint origin;
    UIView *gestureView;
    BOOL animating, canTap;
}

+ (NPSideMenu *)sharedInstance;

- (void)configureNavigationController:(UINavigationController *)navigationController;
- (void)toggleLeftMenu;
- (void)showLeftMenu;
- (void)toggleRightMenu;
- (void)showRightMenu;
- (void)hideAllMenus;

@property(nonatomic, strong) UINavigationController *controller;
@property(nonatomic, assign) BOOL useNavigationBarOnly, canDrag;

@property(nonatomic) UIView *headerView, *footerView;

@property(nonatomic, weak) NPSideMenuController *leftMenu, *rightMenu;
@end
